Bug 19058 - Move C4::Reserves::GetReserveId to Koha::Holds
Summary: Move C4::Reserves::GetReserveId to Koha::Holds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19057
Blocks: 17728 19766 19059
  Show dependency treegraph
 
Reported: 2017-08-07 21:01 UTC by Jonathan Druart
Modified: 2017-12-06 19:28 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace (7.69 KB, patch)
2017-08-07 21:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace (7.84 KB, patch)
2017-08-08 11:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace (7.90 KB, patch)
2017-08-08 13:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace (7.95 KB, patch)
2017-09-01 18:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-07 21:01:32 UTC
GetReserveId can easily be replaced with a call to Koha::Holds->search->next->reserve_id

It will ease next changes to use Koha::Hold objects
Comment 1 Jonathan Druart 2017-08-07 21:02:56 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2017-08-08 08:52:53 UTC
t/db_dependent/Holds.t complains because of tests count (You planned 56 tests but ran 55).
Comment 3 Jonathan Druart 2017-08-08 11:57:55 UTC
Created attachment 65629 [details] [review]
Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace

GetReserveId can easily be replaced with a call to
Koha::Holds->search->next->reserve_id

It will ease next changes to use Koha::Hold objects

Test plan:
Cancel a reserve and print a slip reserve
Comment 4 Owen Leonard 2017-08-08 13:05:39 UTC
Created attachment 65635 [details] [review]
[SIGNED-OFF] Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace

GetReserveId can easily be replaced with a call to
Koha::Holds->search->next->reserve_id

It will ease next changes to use Koha::Hold objects

Test plan:
Cancel a reserve and print a slip reserve

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Kyle M Hall 2017-09-01 18:21:27 UTC
Created attachment 66778 [details] [review]
Bug 19058: Move C4::Reserves::GetReserveId to the Koha namespace

GetReserveId can easily be replaced with a call to
Koha::Holds->search->next->reserve_id

It will ease next changes to use Koha::Hold objects

Test plan:
Cancel a reserve and print a slip reserve

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-09-01 20:20:22 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-10-10 09:09:18 UTC
Enhancement not pushed to 17.05.x